<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\dozent\honorarabnahme\handlehonorarabnahme\honorarabnahmeablehnen;

use Kufer\Web\KuferTools\Basis\Presenter\Presenter;

class HonorarAbnahmeAblehnenPresenter extends Presenter
{
  protected function getViewModel()
  {
    $result = new HonorarAbnahmeAblehnenViewModel();
    $result->honorarAbnahme = $this->useCaseResponse->honorarAbnahme;
    $result->error = $this->useCaseResponse->error;

    return $result;
  }

  protected function getView()
  {
    return new HonorarAbnahmeAblehnenView($this->getViewModel());
  }
}